Bug 1785601 - NetworkManager-fortisslvpn does not set DNS entries correctly (openfortivpn 1.10 -> 1.11 behaviour change)
Summary: NetworkManager-fortisslvpn does not set DNS entries correctly (openfortivpn 1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-fortisslvpn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-20 11:58 UTC by Simone Caronni
Modified: 2020-01-19 00:34 UTC (History)
5 users (show)

Fixed In Version: NetworkManager-fortisslvpn-1.3.90-3.fc31 NetworkManager-fortisslvpn-1.2.10-2.fc30 NetworkManager-fortisslvpn-1.3.90-4.fc31 NetworkManager-fortisslvpn-1.2.10-3.fc30 NetworkManager-fortisslvpn-1.2.8-6.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-04 20:32:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Simone Caronni 2019-12-20 11:58:48 UTC
Description of problem:
No DNS are added to /etc/resolv.conf after a successful VPN connection.


Version-Release number of selected component (if applicable):
All packages in Fedora 30+ are affected. The bug is actually a behaviour change in openfortivpn 1.11, which reached stable on Fedora 30+ in the last few days.


How reproducible:
Upgrade openfortivpn, VPN connections no longer populate /etc/resolv.conf with the correct DNS servers.

Additional info:
Upstream bug: https://github.com/adrienverge/openfortivpn/issues/503

Comment 1 Fedora Update System 2019-12-20 12:39:29 UTC
FEDORA-EPEL-2019-822b856b5c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-822b856b5c

Comment 2 Fedora Update System 2019-12-20 12:39:30 UTC
FEDORA-2019-4e359744ce has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e359744ce

Comment 3 Fedora Update System 2019-12-21 01:27:02 UTC
NetworkManager-fortisslvpn-1.2.10-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e54b24f294

Comment 4 Fedora Update System 2019-12-21 01:41:36 UTC
NetworkManager-fortisslvpn-1.3.90-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e359744ce

Comment 5 Fedora Update System 2019-12-21 02:34:14 UTC
NetworkManager-fortisslvpn-1.2.8-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-822b856b5c

Comment 6 Fedora Update System 2019-12-30 10:29:17 UTC
FEDORA-EPEL-2019-4386b84138 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4386b84138

Comment 7 Fedora Update System 2019-12-30 10:29:18 UTC
FEDORA-2019-bd435ba738 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd435ba738

Comment 8 Fedora Update System 2019-12-30 10:29:20 UTC
FEDORA-2019-37c165eb15 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37c165eb15

Comment 9 Fedora Update System 2020-01-04 20:32:44 UTC
NetworkManager-fortisslvpn-1.3.90-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-01-04 20:35:12 UTC
NetworkManager-fortisslvpn-1.2.8-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4386b84138

Comment 11 Fedora Update System 2020-01-04 21:18:01 UTC
NetworkManager-fortisslvpn-1.2.10-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd435ba738

Comment 12 Fedora Update System 2020-01-04 22:15:22 UTC
NetworkManager-fortisslvpn-1.2.10-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-01-04 22:23:50 UTC
NetworkManager-fortisslvpn-1.3.90-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37c165eb15

Comment 14 Fedora Update System 2020-01-10 02:09:38 UTC
NetworkManager-fortisslvpn-1.3.90-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-01-12 01:15:21 UTC
NetworkManager-fortisslvpn-1.2.10-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-01-19 00:34:50 UTC
NetworkManager-fortisslvpn-1.2.8-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.